#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk

clean::
	# code based on gnome-pkg-tools to auto create Uploaders field from 
	# metainfo available on the Debian Brasil's Team SVN repo
	TEAM_LIST=../../metainfo/debian-br.team; \
	if test -f $${TEAM_LIST}; then \
		MAINTAINER=$$(sed -n 's/^Maintainer: //p' debian/control.in); \
		grep -vF "$${MAINTAINER}" $${TEAM_LIST} | tr '\n' ' ' > debian/uploaders.tmp; \
		cat debian/uploaders.tmp; \
		if diff -q debian/uploaders debian/uploaders.tmp; then \
			rm debian/uploaders.tmp; \
		else \
			mv debian/uploaders.tmp debian/uploaders; \
		fi; \
	fi
	UPLOADERS=$$(cat debian/uploaders); \
	sed "s/@DEBIAN_BR_TEAM@/$${UPLOADERS}/g" < debian/control.in > debian/control.tmp; \
	if diff -q debian/control debian/control.tmp; then \
		rm debian/control.tmp; \
	else \
		mv debian/control.tmp debian/control; \
	fi
	# end of Uploaders generating code
